minimize generation_costs:
	1400*SgenR[1,1] + 1500*SgenR[1,2] + 3000*SgenR[3,1] + 4000*SgenR[4,1]
	 + 1000*SgenR[5,1];

subject to power_flowR[1]:
	SR[1,2,1] + SR[1,4,1] + SR[1,5,1] - SgenR[1,1] - SgenR[1,2] = 0;

subject to power_flowR[2]:
	SR[2,3,1] + SR[2,1,1] = -3;

subject to power_flowR[3]:
	SR[3,4,1] + SR[3,2,1] - SgenR[3,1] = -3;

subject to power_flowR[4]:
	SR[4,5,1] + SR[4,1,1] + SR[4,3,1] - SgenR[4,1] = -4;

subject to power_flowR[5]:
	SR[5,1,1] + SR[5,4,1] - SgenR[5,1] = 0;

subject to power_flowC[1]:
	SC[1,2,1] + SC[1,4,1] + SC[1,5,1] - SgenC[1,1] - SgenC[1,2] = 0;

subject to power_flowC[2]:
	SC[2,3,1] + SC[2,1,1] = -0.9861;

subject to power_flowC[3]:
	SC[3,4,1] + SC[3,2,1] - SgenC[3,1] = -0.9861;

subject to power_flowC[4]:
	SC[4,5,1] + SC[4,1,1] + SC[4,3,1] - SgenC[4,1] = -1.3147;

subject to power_flowC[5]:
	SC[5,1,1] + SC[5,4,1] - SgenC[5,1] = 0;

subject to power_injR[1,2,1]:
	-(VR[1]*IR[1,2,1]) - VC[1]*IC[1,2,1] + SR[1,2,1] = 0;

subject to power_injR[1,4,1]:
	-(VR[1]*IR[1,4,1]) - VC[1]*IC[1,4,1] + SR[1,4,1] = 0;

subject to power_injR[1,5,1]:
	-(VR[1]*IR[1,5,1]) - VC[1]*IC[1,5,1] + SR[1,5,1] = 0;

subject to power_injR[2,3,1]:
	-(VR[2]*IR[2,3,1]) - VC[2]*IC[2,3,1] + SR[2,3,1] = 0;

subject to power_injR[3,4,1]:
	-(VR[3]*IR[3,4,1]) - VC[3]*IC[3,4,1] + SR[3,4,1] = 0;

subject to power_injR[4,5,1]:
	-(VR[4]*IR[4,5,1]) - VC[4]*IC[4,5,1] + SR[4,5,1] = 0;

subject to power_injR[2,1,1]:
	-(VR[2]*IR[2,1,1]) - VC[2]*IC[2,1,1] + SR[2,1,1] = 0;

subject to power_injR[3,2,1]:
	-(VR[3]*IR[3,2,1]) - VC[3]*IC[3,2,1] + SR[3,2,1] = 0;

subject to power_injR[4,1,1]:
	-(VR[4]*IR[4,1,1]) - VC[4]*IC[4,1,1] + SR[4,1,1] = 0;

subject to power_injR[4,3,1]:
	-(VR[4]*IR[4,3,1]) - VC[4]*IC[4,3,1] + SR[4,3,1] = 0;

subject to power_injR[5,1,1]:
	-(VR[5]*IR[5,1,1]) - VC[5]*IC[5,1,1] + SR[5,1,1] = 0;

subject to power_injR[5,4,1]:
	-(VR[5]*IR[5,4,1]) - VC[5]*IC[5,4,1] + SR[5,4,1] = 0;

subject to power_injC[1,2,1]:
	-(VC[1]*IR[1,2,1]) + VR[1]*IC[1,2,1] + SC[1,2,1] = 0;

subject to power_injC[1,4,1]:
	-(VC[1]*IR[1,4,1]) + VR[1]*IC[1,4,1] + SC[1,4,1] = 0;

subject to power_injC[1,5,1]:
	-(VC[1]*IR[1,5,1]) + VR[1]*IC[1,5,1] + SC[1,5,1] = 0;

subject to power_injC[2,3,1]:
	-(VC[2]*IR[2,3,1]) + VR[2]*IC[2,3,1] + SC[2,3,1] = 0;

subject to power_injC[3,4,1]:
	-(VC[3]*IR[3,4,1]) + VR[3]*IC[3,4,1] + SC[3,4,1] = 0;

subject to power_injC[4,5,1]:
	-(VC[4]*IR[4,5,1]) + VR[4]*IC[4,5,1] + SC[4,5,1] = 0;

subject to power_injC[2,1,1]:
	-(VC[2]*IR[2,1,1]) + VR[2]*IC[2,1,1] + SC[2,1,1] = 0;

subject to power_injC[3,2,1]:
	-(VC[3]*IR[3,2,1]) + VR[3]*IC[3,2,1] + SC[3,2,1] = 0;

subject to power_injC[4,1,1]:
	-(VC[4]*IR[4,1,1]) + VR[4]*IC[4,1,1] + SC[4,1,1] = 0;

subject to power_injC[4,3,1]:
	-(VC[4]*IR[4,3,1]) + VR[4]*IC[4,3,1] + SC[4,3,1] = 0;

subject to power_injC[5,1,1]:
	-(VC[5]*IR[5,1,1]) + VR[5]*IC[5,1,1] + SC[5,1,1] = 0;

subject to power_injC[5,4,1]:
	-(VC[5]*IR[5,4,1]) + VR[5]*IC[5,4,1] + SC[5,4,1] = 0;

subject to ohm1R[1,2,1]:
	-3.52348*VR[1] + 3.52348*VR[2] - 35.2313*VC[1] + 35.2348*VC[2] + 
	IR[1,2,1] = 0;

subject to ohm1R[1,4,1]:
	-3.2569*VR[1] + 3.2569*VR[4] - 32.5658*VC[1] + 32.569*VC[4] + IR[1,4,1]
	 = 0;

subject to ohm1R[1,5,1]:
	-15.4703*VR[1] + 15.4703*VR[5] - 154.687*VC[1] + 154.703*VC[5] + 
	IR[1,5,1] = 0;

subject to ohm1R[2,3,1]:
	-9.16758*VR[2] + 9.16758*VR[3] - 91.6666*VC[2] + 91.6758*VC[3] + 
	IR[2,3,1] = 0;

subject to ohm1R[3,4,1]:
	-3.33367*VR[3] + 3.33367*VR[4] - 33.3333*VC[3] + 33.3367*VC[4] + 
	IR[3,4,1] = 0;

subject to ohm1R[4,5,1]:
	-3.33367*VR[4] + 3.33367*VR[5] - 33.3333*VC[4] + 33.3367*VC[5] + 
	IR[4,5,1] = 0;

subject to ohm1C[1,2,1]:
	35.2313*VR[1] - 35.2348*VR[2] - 3.52348*VC[1] + 3.52348*VC[2] + 
	IC[1,2,1] = 0;

subject to ohm1C[1,4,1]:
	32.5658*VR[1] - 32.569*VR[4] - 3.2569*VC[1] + 3.2569*VC[4] + IC[1,4,1]
	 = 0;

subject to ohm1C[1,5,1]:
	154.687*VR[1] - 154.703*VR[5] - 15.4703*VC[1] + 15.4703*VC[5] + 
	IC[1,5,1] = 0;

subject to ohm1C[2,3,1]:
	91.6666*VR[2] - 91.6758*VR[3] - 9.16758*VC[2] + 9.16758*VC[3] + 
	IC[2,3,1] = 0;

subject to ohm1C[3,4,1]:
	33.3333*VR[3] - 33.3367*VR[4] - 3.33367*VC[3] + 3.33367*VC[4] + 
	IC[3,4,1] = 0;

subject to ohm1C[4,5,1]:
	33.3333*VR[4] - 33.3367*VR[5] - 3.33367*VC[4] + 3.33367*VC[5] + 
	IC[4,5,1] = 0;

subject to ohm2R[1,2,1]:
	3.52348*VR[1] - 3.52348*VR[2] + 35.2348*VC[1] - 35.2313*VC[2] + 
	IR[2,1,1] = 0;

subject to ohm2R[1,4,1]:
	3.2569*VR[1] - 3.2569*VR[4] + 32.569*VC[1] - 32.5658*VC[4] + IR[4,1,1]
	 = 0;

subject to ohm2R[1,5,1]:
	15.4703*VR[1] - 15.4703*VR[5] + 154.703*VC[1] - 154.687*VC[5] + 
	IR[5,1,1] = 0;

subject to ohm2R[2,3,1]:
	9.16758*VR[2] - 9.16758*VR[3] + 91.6758*VC[2] - 91.6666*VC[3] + 
	IR[3,2,1] = 0;

subject to ohm2R[3,4,1]:
	3.33367*VR[3] - 3.33367*VR[4] + 33.3367*VC[3] - 33.3333*VC[4] + 
	IR[4,3,1] = 0;

subject to ohm2R[4,5,1]:
	3.33367*VR[4] - 3.33367*VR[5] + 33.3367*VC[4] - 33.3333*VC[5] + 
	IR[5,4,1] = 0;

subject to ohm2C[1,2,1]:
	-35.2348*VR[1] + 35.2313*VR[2] + 3.52348*VC[1] - 3.52348*VC[2] + 
	IC[2,1,1] = 0;

subject to ohm2C[1,4,1]:
	-32.569*VR[1] + 32.5658*VR[4] + 3.2569*VC[1] - 3.2569*VC[4] + IC[4,1,1]
	 = 0;

subject to ohm2C[1,5,1]:
	-154.703*VR[1] + 154.687*VR[5] + 15.4703*VC[1] - 15.4703*VC[5] + 
	IC[5,1,1] = 0;

subject to ohm2C[2,3,1]:
	-91.6758*VR[2] + 91.6666*VR[3] + 9.16758*VC[2] - 9.16758*VC[3] + 
	IC[3,2,1] = 0;

subject to ohm2C[3,4,1]:
	-33.3367*VR[3] + 33.3333*VR[4] + 3.33367*VC[3] - 3.33367*VC[4] + 
	IC[4,3,1] = 0;

subject to ohm2C[4,5,1]:
	-33.3367*VR[4] + 33.3333*VR[5] + 3.33367*VC[4] - 3.33367*VC[5] + 
	IC[5,4,1] = 0;

subject to power_bound_to[1,2,1]:
	SR[1,2,1]^2 + SC[1,2,1]^2 <= 16;

subject to power_bound_to[4,5,1]:
	SR[4,5,1]^2 + SC[4,5,1]^2 <= 5.76;

subject to power_bound_to[2,1,1]:
	SR[2,1,1]^2 + SC[2,1,1]^2 <= 16;

subject to power_bound_to[5,4,1]:
	SR[5,4,1]^2 + SC[5,4,1]^2 <= 5.76;

subject to V2_def[1]:
	-VR[1]^2 - VC[1]^2 + V2[1] = 0;

subject to V2_def[2]:
	-VR[2]^2 - VC[2]^2 + V2[2] = 0;

subject to V2_def[3]:
	-VR[3]^2 - VC[3]^2 + V2[3] = 0;

subject to V2_def[4]:
	-VR[4]^2 - VC[4]^2 + V2[4] = 0;

subject to V2_def[5]:
	-VR[5]^2 - VC[5]^2 + V2[5] = 0;

subject to phasediff1[1,2,1]:
	VC[1]*VR[2] - VR[1]*VC[2] + -2.04224e+11*(VR[1]*VR[2]) + -2.04224e+11*(
	VC[1]*VC[2]) <= 0;

subject to phasediff1[1,4,1]:
	VC[1]*VR[4] - VR[1]*VC[4] + -2.04224e+11*(VR[1]*VR[4]) + -2.04224e+11*(
	VC[1]*VC[4]) <= 0;

subject to phasediff1[1,5,1]:
	VC[1]*VR[5] - VR[1]*VC[5] + -2.04224e+11*(VR[1]*VR[5]) + -2.04224e+11*(
	VC[1]*VC[5]) <= 0;

subject to phasediff1[2,3,1]:
	VC[2]*VR[3] - VR[2]*VC[3] + -2.04224e+11*(VR[2]*VR[3]) + -2.04224e+11*(
	VC[2]*VC[3]) <= 0;

subject to phasediff1[3,4,1]:
	VC[3]*VR[4] - VR[3]*VC[4] + -2.04224e+11*(VR[3]*VR[4]) + -2.04224e+11*(
	VC[3]*VC[4]) <= 0;

subject to phasediff1[4,5,1]:
	VC[4]*VR[5] - VR[4]*VC[5] + -2.04224e+11*(VR[4]*VR[5]) + -2.04224e+11*(
	VC[4]*VC[5]) <= 0;

subject to phasediff2[1,2,1]:
	VC[1]*VR[2] - VR[1]*VC[2] + 2.04224e+11*(VR[1]*VR[2]) + 2.04224e+11*(
	VC[1]*VC[2]) >= 0;

subject to phasediff2[1,4,1]:
	VC[1]*VR[4] - VR[1]*VC[4] + 2.04224e+11*(VR[1]*VR[4]) + 2.04224e+11*(
	VC[1]*VC[4]) >= 0;

subject to phasediff2[1,5,1]:
	VC[1]*VR[5] - VR[1]*VC[5] + 2.04224e+11*(VR[1]*VR[5]) + 2.04224e+11*(
	VC[1]*VC[5]) >= 0;

subject to phasediff2[2,3,1]:
	VC[2]*VR[3] - VR[2]*VC[3] + 2.04224e+11*(VR[2]*VR[3]) + 2.04224e+11*(
	VC[2]*VC[3]) >= 0;

subject to phasediff2[3,4,1]:
	VC[3]*VR[4] - VR[3]*VC[4] + 2.04224e+11*(VR[3]*VR[4]) + 2.04224e+11*(
	VC[3]*VC[4]) >= 0;

subject to phasediff2[4,5,1]:
	VC[4]*VR[5] - VR[4]*VC[5] + 2.04224e+11*(VR[4]*VR[5]) + 2.04224e+11*(
	VC[4]*VC[5]) >= 0;

subject to phasediff3[1,2]:
	VR[1]*VR[2] + VC[1]*VC[2] >= 0;

subject to phasediff3[1,4]:
	VR[1]*VR[4] + VC[1]*VC[4] >= 0;

subject to phasediff3[1,5]:
	VR[1]*VR[5] + VC[1]*VC[5] >= 0;

subject to phasediff3[2,3]:
	VR[2]*VR[3] + VC[2]*VC[3] >= 0;

subject to phasediff3[3,4]:
	VR[3]*VR[4] + VC[3]*VC[4] >= 0;

subject to phasediff3[4,5]:
	VR[4]*VR[5] + VC[4]*VC[5] >= 0;

subject to reference1[4]:
	VC[4] = 0;

subject to reference2[4]:
	VR[4] >= 0;

